package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_TABLEJOINSINFO"
)
public class TableJoinsInfo extends TInitEntity {
   private String tableName;
   private String onwer;
   private String havePK;
   private String havaFK;
   private String coordinates_x;
   private String coordinates_y;
   private String taskid;

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getOnwer() {
      return this.onwer;
   }

   public void setOnwer(String onwer) {
      this.onwer = onwer;
   }

   public String getCoordinates_x() {
      return this.coordinates_x;
   }

   public void setCoordinates_x(String coordinates_x) {
      this.coordinates_x = coordinates_x;
   }

   public String getCoordinates_y() {
      return this.coordinates_y;
   }

   public void setCoordinates_y(String coordinates_y) {
      this.coordinates_y = coordinates_y;
   }

   public String getHavePK() {
      return this.havePK;
   }

   public void setHavePK(String havePK) {
      this.havePK = havePK;
   }

   public String getHavaFK() {
      return this.havaFK;
   }

   public void setHavaFK(String havaFK) {
      this.havaFK = havaFK;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }
}
